/* section panier */
    .container_cart{
        position: relative;
    }
    
    .div_table_cart{
        overflow-x : scroll;
        padding-bottom: 1rem;
    }

    .table_cart{
        width: 100%;
        border-collapse: collapse;
    }

    .table_cart tbody tr:not(:last-child){
        border-bottom: 1px solid var(--light-black);
    }

    .table_cart th{
        text-align: left;
        padding: 5px;
        color: white;
        background: var(--blue);
        font-weight: normal;
        white-space: nowrap;
    }

    .table_cart td{
        padding: 10px 5px;
    }

    .cart_info{
        display: flex;
        flex-wrap: nowrap;
    }

    .cart_img{
        width: 80px;
        height: 80px;
        margin: auto 10px auto 0;
    }

    .cart_img img{
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .name_product{
        white-space: nowrap;
    }

    .info_product_cart{
        list-style: none;
        margin: .3rem 0;
    }

    .info_product_cart li{
        padding: 3px 0;
        white-space: nowrap;
    }

    .info_product_cart li i{
        color: var(--blue);
        margin-right: .2rem;
        transform: translatey(2px);
    }

    .info_product_cart li b{
        color: var(--blue);
    }
    
    .colors{
        display: flex;
        align-items: center;
    }

    .table_cart td button{
        background: none;
        border: none;
        cursor: pointer;
    }

    .table_cart td button:hover{
        scale: 1.05;
    }

    .table_cart td button i{
        color: var(--orange);
    }

    .table_cart td button:hover i{
        color: red;
        font-weight: bold;
    }

    .table_cart td input{
        width: 40px;
        height: 30px;
        padding: 5px;
    }

    th:last-child, td:last-child{
        text-align: right;
        font-weight: bold;
    }

    .total_price{
        display: flex;
        justify-content: flex-end;
        margin-bottom: 2rem;
    }

    .total_price table{
        border-top: 2px solid var(--blue);
        width: 100%;
        max-width: 510px;
    }

    .total_price table th, .total_price table td{
        font-weight: bold;
    }

    .total_price table td{
        padding: 5px;
    }
/* section panier */

/* section form review AND shipping adress */
.shipping_adress{
    position: fixed;
    width: 100%; height: 100dvh;
    top: 0; left: 0;
    z-index: 100;
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(30px);
    scale: 0;
}

.shipping_adress.active{
    scale: 1;
}

#close_shipping_adress{
    display: block;
    position: absolute;
    top: .9rem; right: .9rem;
    font-size: 28px;
    cursor: pointer;
    color: var(--orange);
}

#close_shipping_adress:hover{
    font-size: 32px;
    color: black;
}

.titreShipping{
    margin-bottom: .5rem;
    font-weight: bolder;
    font-size: 18px;
    color: var(--blue);
}

.form_shipping{
    width: 18rem;
    background: white;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    row-gap: .5rem;
    justify-content: center;
    align-items: center;
}

.champ_review{
    width: 100%;
    padding: .5rem;
}

.champ_review:focus{
    outline: none;
    border: 1px solid var(--orange);
}

textarea.champ_review{
    resize: none;
    height: 100px;
}

fieldset{
    display: flex;
    flex-direction: column;
    row-gap: .5rem;
    padding: .5rem;
}

legend{
    color: #00000070;
    padding: 0 .3rem;
}

.flex_champ{
    display: flex;
    gap: .5rem;
}

.shippingButton{
    background: var(--orange);
    border: none;
    color: white;
}

.shippingButton:hover{
    background: none;
    border: 1px solid var(--orange);
    color: var(--orange);
    cursor: pointer;
}
/* shipping adress */


/* section panier */
    @media screen and (max-width: 600px) {
        .table_cart tbody td:nth-child(2) input{
            position: relative;
            left: 50%;
            transform: translateX(-50%);
        }
    }
/* section panier */